#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7e05e786, "module_layout" },
	{ 0x5c2460ab, "noop_llseek" },
	{ 0x9e3b4036, "param_ops_bool" },
	{ 0x5020ce16, "param_ops_int" },
	{ 0xcaf51876, "usb_deregister" },
	{ 0x392cc735, "usb_register_driver" },
	{ 0x26a0a151, "rc_keyup" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d991f3e, "rc_keydown" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa8d5aada, "rc_free_device" },
	{ 0xd9df6103, "input_free_device" },
	{ 0x3804e686, "_dev_err" },
	{ 0x5f39af5a, "usb_register_dev" },
	{ 0x255876d6, "sysfs_create_group" },
	{ 0x39635f5b, "input_set_abs_params" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x82adb1a3, "rc_register_device" },
	{ 0xa485cb94, "rc_allocate_device" },
	{ 0xa33b325c, "input_register_device" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x252756ab, "input_allocate_device" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x1b396335, "usb_alloc_urb" },
	{ 0x2fc45f30, "usb_ifnum_to_if" },
	{ 0x814f7c0a, "usb_get_dev" },
	{ 0xd4ee9b8e, "input_event" },
	{ 0x318d6fec, "mutex_is_locked" },
	{ 0xea036aa9, "_dev_warn" },
	{ 0x8c812c25, "usb_free_urb" },
	{ 0x26eb8d06, "usb_deregister_dev" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0x5be75a5b, "rc_unregister_device" },
	{ 0xd6e4beeb, "input_unregister_device" },
	{ 0x3c8549eb, "usb_put_dev" },
	{ 0x456ff778, "sysfs_remove_group" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe6d03f4f, "_dev_info" },
	{ 0xdd64e639, "strscpy" },
	{ 0x362ef408, "_copy_from_user" },
	{ 0xfbb6e8f6, "kmem_cache_alloc_trace" },
	{ 0xd6374635, "kmalloc_caches" },
	{ 0x262e823a, "wait_for_completion_interruptible" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb67e887, "current_task" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x37a0cba, "kfree" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc5850110, "printk" },
	{ 0x4704aab2, "__dynamic_dev_dbg" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x39644073, "usb_find_interface" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x29361773, "complete" },
	{ 0x2240b4f5, "usb_kill_urb" },
	{ 0x8b39e300, "rc_g_keycode_from_table" },
	{ 0xa74982a4, "usb_submit_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,rc-core";

MODULE_ALIAS("usb:v15C2pFFDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0035d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0036d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0038d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0044d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0045d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0046d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F3B6BBB89337C1129902B18");

MODULE_INFO(suserelease, "SLE15-SP2");
