#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7e05e786, "module_layout" },
	{ 0x8dd8e077, "mt76x02_remove_interface" },
	{ 0x47c50a10, "__mt76_poll" },
	{ 0x14642e7d, "mt76x02_sw_scan" },
	{ 0x71d3f613, "mt76x02_conf_tx" },
	{ 0x4af20d62, "mt76x02_ampdu_action" },
	{ 0x326a5f08, "mt76u_stop_rx" },
	{ 0xa1dad42e, "mt76x02u_exit_beacon_config" },
	{ 0x56a505, "mt76x02_add_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x419b7f3e, "mt76u_vendor_request" },
	{ 0x8dab1483, "ieee80211_unregister_hw" },
	{ 0xfaf1be60, "mt76x02u_init_beacon_config" },
	{ 0x11199d43, "mt76u_stop_tx" },
	{ 0x6ac02899, "mt76u_alloc_queues" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xa15a2661, "mt76x0_mac_start" },
	{ 0x93abceb8, "mt76x02_bss_info_changed" },
	{ 0xc58e6ecc, "mt76x0_init_hardware" },
	{ 0x1d30300b, "mt76_sta_state" },
	{ 0xdae0767e, "mt76x02_set_rts_threshold" },
	{ 0x745ef13, "mt76x02u_tx_prepare_skb" },
	{ 0x87e9e5ba, "mt76x02u_init_mcu" },
	{ 0xea036aa9, "_dev_warn" },
	{ 0x67e001, "mt76u_init" },
	{ 0x3e68a479, "mt76x02u_mcu_fw_send_data" },
	{ 0xca2bd0c9, "mt76x0_mac_stop" },
	{ 0x2bd69a15, "mt76x02_sta_add" },
	{ 0x58dc87f3, "mt76x02_tx_status_data" },
	{ 0xcaf51876, "usb_deregister" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x5ec20089, "mt76x02_sta_remove" },
	{ 0xbe1e6d2f, "mt76x02_tx" },
	{ 0x5179a43, "__mt76_poll_msec" },
	{ 0x3ccc2c6b, "mt76x02_sw_scan_complete" },
	{ 0x23910dda, "mt76_set_tim" },
	{ 0x2759fe6f, "mt76x0_phy_calibrate" },
	{ 0x722edc39, "mt76x02u_mcu_fw_reset" },
	{ 0x3804e686, "_dev_err" },
	{ 0xeeeed2d3, "mt76x0_register_device" },
	{ 0x72e5cec7, "mt76x0_config" },
	{ 0xac9848e6, "ieee80211_queue_delayed_work" },
	{ 0x78c97592, "mt76u_queues_deinit" },
	{ 0x70747dbe, "mt76x02_queue_rx_skb" },
	{ 0xf7e9bbaa, "mt76x0_chip_onoff" },
	{ 0xf7620b3b, "mt76x02_configure_filter" },
	{ 0xe6d03f4f, "_dev_info" },
	{ 0x814f7c0a, "usb_get_dev" },
	{ 0x12a38747, "usleep_range" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xb7eeb7cc, "usb_reset_device" },
	{ 0x3c8549eb, "usb_put_dev" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xe5853b95, "mt76_alloc_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4704aab2, "__dynamic_dev_dbg" },
	{ 0x316ca54f, "mt76x02_sta_rate_tbl_update" },
	{ 0x3c836ec1, "mt76u_resume_rx" },
	{ 0x7366e859, "mt76x02_sta_ps" },
	{ 0x37a0cba, "kfree" },
	{ 0x6bef331d, "mt76_wake_tx_queue" },
	{ 0x711439e9, "mt76_get_txpower" },
	{ 0x392cc735, "usb_register_driver" },
	{ 0x1b820666, "request_firmware" },
	{ 0x304e30d6, "mt76_release_buffered_frames" },
	{ 0x65773adb, "ieee80211_free_hw" },
	{ 0x477116d, "mt76x02_set_key" },
	{ 0x7c91da28, "firmware_request_nowarn" },
	{ 0x52287f5f, "release_firmware" },
	{ 0x52543309, "mt76x02u_tx_complete_skb" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mt76x02-lib,mt76,mt76-usb,mt76x02-usb,mac80211,mt76x0-common,usbcore";

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "925183ECD2EB34F8976E70A");

MODULE_INFO(suserelease, "SLE15-SP2");
