#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7e05e786, "module_layout" },
	{ 0xcaf51876, "usb_deregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x392cc735, "usb_register_driver" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a71cffb, "scsi_add_host_with_dma" },
	{ 0xea036aa9, "_dev_warn" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2d916b6b, "scsi_host_alloc" },
	{ 0x8d8effb9, "usb_stor_adjust_quirks" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x7b58584, "usb_unlink_urb" },
	{ 0x8ccd5e96, "sdev_prefix_printk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7c1d2f00, "usb_unanchor_urb" },
	{ 0xfbb6e8f6, "kmem_cache_alloc_trace" },
	{ 0xd6374635, "kmalloc_caches" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa74982a4, "usb_submit_urb" },
	{ 0xec0bdb72, "usb_anchor_urb" },
	{ 0x1b396335, "usb_alloc_urb" },
	{ 0xcc9d72af, "blk_queue_max_hw_sectors" },
	{ 0x4a8a5afd, "blk_queue_update_dma_alignment" },
	{ 0x4704aab2, "__dynamic_dev_dbg" },
	{ 0x60a20910, "scsi_scan_host" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0xcf584efb, "usb_lock_device_for_reset" },
	{ 0x7726399, "scsi_host_put" },
	{ 0x8b5f220d, "scsi_remove_host" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5850110, "printk" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x2240b4f5, "usb_kill_urb" },
	{ 0x1c045e89, "usb_get_urb" },
	{ 0x1c54e81e, "scsi_print_command" },
	{ 0x574274c7, "scmd_printk" },
	{ 0xfff1912c, "scsi_report_bus_reset" },
	{ 0xa9ccac9e, "usb_alloc_streams" },
	{ 0x5adc8f8a, "scsi_change_queue_depth" },
	{ 0xd595147c, "scsi_is_host_device" },
	{ 0x3804e686, "_dev_err" },
	{ 0x8c812c25, "usb_free_urb" },
	{ 0x2f701d8d, "scsi_unblock_requests" },
	{ 0xb185c85, "dev_printk" },
	{ 0xf4865778, "scsi_block_requests" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x407af304, "usb_wait_anchor_empty_timeout" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb7eeb7cc, "usb_reset_device" },
	{ 0x50992d77, "usb_set_interface" },
	{ 0x15af7f4, "system_state" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x5ec4070a, "usb_free_streams" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,scsi_mod,usb-storage";

MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "4F9870555BD741CBCEC675C");

MODULE_INFO(suserelease, "SLE15-SP2");
